const fs = require('fs');
const path = require('path');
const DOWN_PATH = 'http://gitlab.baidu.com/:v_shenjianbo/h5-template#master';
const PACKAGE = fs.readFileSync(path.resolve('package.json'), 'utf8');
const VERSION = PACKAGE && JSON.parse(PACKAGE).version;
const TIPS = {
    init: '正在下载模板...',
    existence: '项目已存在',
    success: '项目初始化完成'
};
const BIN = {
    version: '-v, --version',
    command: 'init <name>'
};

const getMeta = (filed, answers) => {
    const meta = {};
    filed.forEach(key => {
        meta[key] = answers[key];
    });
    return meta;
};
module.exports = {
    VERSION,
    DOWN_PATH,
    TIPS,
    BIN,
    getMeta
};